Package org.apache.nutch.metrics

# Enum Class ErrorTracker.ErrorType

java.lang.Object
java.lang.Enum<ErrorTracker.ErrorType>
org.apache.nutch.metrics.ErrorTracker.ErrorType

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorTracker.ErrorType>`, `Constable`

Enclosing class:
  ErrorTracker

public static enum ErrorTracker.ErrorType extends Enum<ErrorTracker.ErrorType>
Error type categories for classification. Uses a bounded set to stay within Hadoop's counter limits.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INDEXING`
  Indexing filter errors
  `NETWORK`
  Network-related errors (IOException, SocketException, etc.)
  `OTHER`
  Other uncategorized errors
  `PARSING`
  Parsing errors (ParseException, ParserNotFound)
  `PROTOCOL`
  Protocol errors (ProtocolException, ProtocolNotFound)
  `SCORING`
  Scoring filter errors
  `TIMEOUT`
  Timeout errors (SocketTimeoutException)
  `URL`
  URL-related errors (MalformedURLException, URLFilterException)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ErrorTracker.ErrorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ErrorTracker.ErrorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NETWORK

    public static final ErrorTracker.ErrorType NETWORK
    Network-related errors (IOException, SocketException, etc.)

  - ### PROTOCOL

    public static final ErrorTracker.ErrorType PROTOCOL
    Protocol errors (ProtocolException, ProtocolNotFound)

  - ### PARSING

    public static final ErrorTracker.ErrorType PARSING
    Parsing errors (ParseException, ParserNotFound)

  - ### URL

    public static final ErrorTracker.ErrorType URL
    URL-related errors (MalformedURLException, URLFilterException)

  - ### SCORING

    public static final ErrorTracker.ErrorType SCORING
    Scoring filter errors

  - ### INDEXING

    public static final ErrorTracker.ErrorType INDEXING
    Indexing filter errors

  - ### TIMEOUT

    public static final ErrorTracker.ErrorType TIMEOUT
    Timeout errors (SocketTimeoutException)

  - ### OTHER

    public static final ErrorTracker.ErrorType OTHER
    Other uncategorized errors

- ## Method Details

  - ### values

    public static ErrorTracker.ErrorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ErrorTracker.ErrorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null